Algol Nearest Minimum
POST /api/v1/algol-minimum/nearest
POST
/api/v1/algol-minimum/nearest
Find the single nearest Algol brightness minimum before or after a given date.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ”object
Example
{ "date": "2024-06-15"}Responses
Section titled “ Responses ”Successful calculation
object
ok
boolean
Example
true data
object
Example
{ "ok": true, "data": { "date": "2024-06-17", "time": "08:12:00", "jd": 2460479.84, "hoursUntil": 41.3 }}Validation error
Example
{ "ok": false, "error": { "code": "INVALID_INPUT", "message": "Validation failed: date: Date must be YYYY-MM-DD", "details": [ { "path": "date", "message": "Date must be YYYY-MM-DD" } ] }}Missing or invalid API key
Example
{ "ok": false, "error": { "code": "INVALID_API_KEY", "message": "Invalid API key" }}